import React from 'react';
import ReactDOM from 'react-dom';
import Board from './board';
import * as game from './board';

it('is created correctly', () => {
    const board = new Board();
    const rows = ['B',
        'rnbqkbnr',
        'pppppppp',
        '________',
        '________',
        '________',
        '________',
        'PPPPPPPP',
        'RNBQKBNR'
    ];
    expect(board.textFromState()).toBe(rows.join(''));
});

it('is created from text correctly', () => {
    const rows = ['B',
        'pppppppp',
        'pppppppp',
        '________',
        '________',
        '________',
        '________',
        'PPPPPPPP',
        'PPPPPPPP'
    ];
    const board = new Board({text: rows.join('')});
    expect(board.textFromState()).toBe(rows.join(''));
});

it('detects an obvious checkmate', () => {
    const rows = ['B',
        'q_______',
        'q______K',
        'q_______',
        '________',
        '________',
        '________',
        '________',
        'k_______'
    ];
    const board = new Board({text: rows.join('')});
    const inCheck = board.whoInCheck();
    expect(inCheck.type).toEqual(game.KING);
    expect(inCheck.color).toEqual(game.BLACK);
});
